__REQUEST_REGION(9)

NAME
__request_region - create a new busy resource region

SYNOPSIS

struct resource * __request_region(struct resource * parent, resource_size_t start, resource_size_t n, const char * name, int flags);

ARGUMENTS

parent
    parent resource descriptor

start
    resource start address

n
    resource region size

name
    reserving caller's ID string

flags
    IO resource flags

COPYRIGHT